package com.eactive.eai.rms.bap.manage.schedule.shedule;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("bapScheduleMonitorDao")
@SuppressWarnings({"deprecation","unchecked"})
public class BapScheduleMonitorDao extends SqlMapClientTemplateDao {
	public int selectListCount(HashMap<String, Object> param) throws Exception {
    	return (Integer)template.queryForObject("BapScheduleMonitor.selectListCount", param);
    }

	public List<Map<String, Object>> selectList(HashMap<String, Object> param) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("BapScheduleMonitor.selectList", param);
	}
}